class KFile

# class KFile | KFile is a class which provides a namespace for some enumerated values associated with the kfile library. More...
Definition | `#include <kfile.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Mode { File = 1, Directory = 2, Files = 4, ExistingOnly = 8, LocalOnly = 16 }
- enum FileView { Default = 0, Simple = 1, Detail = 2, SeparateDirs = 4, PreviewContents = 8, PreviewInfo = 16 }
- enum SelectionMode { Single = 1, Multi = 2, Extended = 4, NoSelection = 8 }

#### Public Static Methods

- static bool isSortByName ( const QDir::SortSpec& sort )
- static bool isSortBySize ( const QDir::SortSpec& sort )
- static bool isSortByDate ( const QDir::SortSpec& sort )
- static bool isSortDirsFirst ( const QDir::SortSpec& sort )
- static bool isSortCaseInsensitive ( const QDir::SortSpec& sort )
- static bool isDefaultView ( const FileView& view )
- static bool isSimpleView ( const FileView& view )
- static bool isDetailView ( const FileView& view )
- static bool isSeparateDirs ( const FileView& view )
- static bool isPreviewContents ( const FileView& view )
- static bool isPreviewInfo ( const FileView& view )

## Detailed Description

KFile is a class which provides a namespace for some enumerated values associated with the kfile library. You will never need to construct a KFile object itself.

enum Mode { File = 1, Directory = 2, Files = 4, ExistingOnly = 8, LocalOnly = 16 } | ### Mode

Modes of operation for the dialog.

- `File` - Get a single file name from the user.
- `Directory` - Get a directory name from the user.
- `Files` - Get multiple file names from the user.
- `ExistingOnly` - Never return a filename which does not exist yet
- `LocalOnly` - Don't return remote filenames

enum FileView { Default = 0, Simple = 1, Detail = 2, SeparateDirs = 4, PreviewContents = 8, PreviewInfo = 16 } | ### FileView

enum SelectionMode { Single = 1, Multi = 2, Extended = 4, NoSelection = 8 } | ### SelectionMode

bool isSortByName ( const QDir::SortSpec& sort ) | ### isSortByName

[static]

bool isSortBySize ( const QDir::SortSpec& sort ) | ### isSortBySize

[static]

bool isSortByDate ( const QDir::SortSpec& sort ) | ### isSortByDate

[static]

bool isSortDirsFirst ( const QDir::SortSpec& sort ) | ### isSortDirsFirst

[static]

bool isSortCaseInsensitive ( const QDir::SortSpec& sort ) | ### isSortCaseInsensitive

[static]

bool isDefaultView ( const FileView& view ) | ### isDefaultView

[static]

bool isSimpleView ( const FileView& view ) | ### isSimpleView

[static]

bool isDetailView ( const FileView& view ) | ### isDetailView

[static]

bool isSeparateDirs ( const FileView& view ) | ### isSeparateDirs

[static]

bool isPreviewContents ( const FileView& view ) | ### isPreviewContents

[static]

bool isPreviewInfo ( const FileView& view ) | ### isPreviewInfo

[static]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:17 2003, using kdoc 2.0a54.